#
# spec file for package opal (Version 2.3.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    SDL SDL-devel aaa_base aalib aalib-devel acl alsa alsa-devel attr audiofile audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl cyrus-sasl-devel db diffutils e2fsprogs esound expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libogg libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils pwlib pwlib-devel rcs readline rpm sed speex speex-devel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           opal
BuildRequires:  gcc-c++ libstdc++-devel pwlib-devel speex-devel
Summary:        Open Phone Abstraction Library
Url:            http://openh323.sourceforge.net/
License:        MOZILLA PUBLIC LICENSE (MPL/NPL)
Group:          System/Libraries
Version:        2.3.1
Release:        32
%define _version 2_3_1
Source0:        opal-v%{_version}-src.tar.bz2
Patch0:         opal-v%{_version}.diff
Patch1:         opal-ignore_payload_change.diff
Patch2:         opal-double-response.diff
Patch3:         opal-auth-quoting.diff
Patch4:         patches/opal-C-fix.diff
Patch5:         opal-CVE-2007-4924.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Requires:       pwlib

%description
Open Phone Abstraction Library, implementation of the ITU H.323
teleconferencing protocol, and successor of the openh323 library. It
supports not only the H.323 protocol but also SIP and IAX2.



%debug_package
%package devel
Summary:        Development package for opal
Group:          Development/Libraries/C and C++
Requires:       opal = %{version}

%description devel
Static libraries and header files for development with opal.



%prep
%setup -q -n opal_v%{_version}
%patch -p1
%patch1 -p1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
# this GPL file is not needed - to avoid license issues delete it before build
rm include/lids/vpbapi.h

%build
autoconf --force
%{?suse_update_config:%{suse_update_config -f}}
# PWlib versioncheck does not work properly
# Can support Voicetronix vpb
./configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}\
  --disable-versioncheck
make OPTCCFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector" %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT OPTCCFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector" %{?jobs:-j%jobs}

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  mpl-1.0.htm ChangeLog docs/Overview.htm docs/diagram.gif
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/opal
%{_libdir}/*.so
%dir %{_datadir}/opal
%{_datadir}/opal/opal_inc.mak
%changelog
* Wed Oct 10 2007 - kkeil@suse.de
- fix a remote vulnerability in the SIP protocol handler
  CVE-2007-4924 (#332478)
* Mon Oct 23 2006 - kkeil@suse.de
- clean up undefined C code (#213075)
* Wed Oct 11 2006 - sbrabec@suse.cz
- Fixed invalid SIP header response quotation. Fixes problems with
  registration on certain servers.
* Fri Sep 29 2006 - kkeil@suse.de
- fix double response frames (patch from sbrabec@suse.cz)
- updates from current stable to handle reinvites better
* Wed Sep 06 2006 - kkeil@suse.de
- delete optional GPL file before build to avoid license issues
  (#202829)
* Thu Aug 10 2006 - sbrabec@suse.cz
- Reduced BuildRequires.
* Thu Aug 10 2006 - kkeil@suse.de
- first version (2.3.1) for autobuild
